Bug 717254 - Cannot resolve DNS from host via a virtual machine with a bridged network interface
Cannot resolve DNS from host via a virtual machine with a bridged network int...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
15
i386 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-28 08:58 EDT by larry
Modified: 2012-06-06 20:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description larry 2011-06-28 08:58:45 EDT
Description of problem:
i've been using a virtual machine as an internet gateway since FC13. on the virtual machine, eth0 is bridged to eth0 of the host, and eth1 is from the default virtual network (NAT) of libvirt. the virtual machine thus provides internet connection to the host as shown below:

{INTERNET} <---> [eth0-VM-eth1] <---> [virbr0-Host]

this configuration works fine on FC13 and FC14. however, after i installed a fresh FC15 and setup virtualization the exact same way i did before on FC13 and FC14, the host cannot obtain internet connection from the virtual machine.

i actually have another virtual machine, which also obtains its internet connection from the aforementioned virtual machine (also via NAT). there is no problem on the second virtual machine getting internet connection from the first virtual machine though. 

Version-Release number of selected component (if applicable):


How reproducible:
Always.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Cannot resolve DNS.


Expected results:
Can resolve DNS.


Additional info:
please see more details and test results on http://forums.fedoraforum.org/showthread.php?t=265829
Comment 1 Fedora Admin XMLRPC Client 2011-09-22 13:52:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:56:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 15:02:47 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 15:02:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:07:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:07:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Cole Robinson 2012-06-06 20:26:30 EDT
Sorry for the lack of response, but F15 is end of life real soon, so closing as WONTFIX.

Larry, if you can still reproduce with a more recent Fedora, please reopen this report and we can go from there.

Note You need to log in before you can comment on or make changes to this bug.